
@media screen and (max-width: 3789px) and (min-width: 2526px) {}

@media screen and (max-width: 2508px) and (min-width: 1929px) {}
@media screen and (max-width:1400px) and (min-width:992px){}

@media screen and (max-width:1200px) and (min-width:992px){}


@media screen and (min-width: 992px) {
button.sub-menu-toggle {display: none;}
.menu-back,.menu > li > .toggle-submenu {display: none;}
.navigation-open,.navigation-close {display: none;}
.main_menu .menu {display: flex;list-style: none;}
.main_menu .menu li {position: relative;}
.main_menu .menu li:last-child {margin-right: 0;}
.main_menu .menu li {position: relative;}
.sub-menu {background-color: #009689;display: none;position: absolute;top: 90%;left: 0;z-index: 9;border-radius: 0;}
.menu li:hover .sub-menu {display: flex;flex-direction: column;width: 100%;width: 184px !important;padding: 0;left: -33px;}
.sub-menu li {position: relative;}
.sub-menu > li {margin: 0px !important;}
.sub-menu > li {flex: 0 0 50%;}
.sub-menu li > a {display: flex;padding: 11px 15px;align-items: center;border-bottom: 1px solid #fff !important;width: 100%;border-bottom: 0;border-radius: 0 !important;font-size: 19px;color: #fff !important;}
.sub-menu li > a:hover {background-color: #282728;color: #fff !important;text-decoration: none;}
.sub-menu li > a {color: #fff !important;}
.sub-menu > li:first-child {display: none;}
.sub-menu > a {display: none !important;}
.second-sub_menu {display: none !important;}
.sub-menu > li:hover .second-sub_menu {display: block !important;left: 100%;top: 0;}
.sub-menu .has-sub .icon-submenu {right: 26px;top: 50%;}
.sub-menu .has-sub .icon-submenu::before{color: #fff;}
.sub-menu .has-sub:hover .icon-submenu::before {color:#fff;}
.sub-menu li:last-child > a {border-bottom: 0px !important;}

}

@media screen and (max-width: 991px) {
 .sidebar_sub_menus .sub-menu {top: 179px !important;}
.icon-submenu {position: absolute;top: 50%;right: 62px;transform: translate(-50%, -50%);margin-top: -8px;}
.main_menu .menu li.active a {color: #9e2a2b;/* border-bottom: 2px solid; */}
li.active.has-sub ul.sub-menu a{font-size: 15px}
button.sub-menu-toggle {display: none;}
.navigation-open span {display: block;width: 24px;height: 3px;background: #fff;margin: 0 auto;position: relative;pointer-events: none;-moz-transition: all 0s ease 0.25s;-ms-transition: all 0s ease 0.25s;-o-transition: all 0s ease 0.25s;-o-transition: all 0s ease 0.25s;-webkit-transition: all 0s ease 0.25s;transition: all 0s ease 0.25s;}
.navigation-open span:before,
.navigation-open span:after {content: "";display: block;width: 100%;height: 100%;background: #fff;position: absolute;left: 0;top: -7px;-moz-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;-ms-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;-o-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;-webkit-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;}
.navigation-open span:after {top: 7px;-moz-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;-ms-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;-o-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;-webkit-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;}
.navigation ul {padding: 0;list-style-type: none;margin: 0;}
.navigation ul.menu {font-size: 16px;font-weight: 500;z-index: 6;text-align: left;width: 100%;flex-direction: column;}
.navigation {z-index: 999;position: fixed;top: 0;left: 100%;width: 278PX;height: 100%;overflow: auto;background: #fff;-webkit-overflow-scrolling: touch;display: block !important;transition: all 0.5s ease;-moz-transition: all 0.5s ease;-ms-transition: all 0.5s ease;-o-transition: all 0.5s ease;-webkit-transition: all 0.5s ease;padding: 70px 0;}
.menu-back {border: none;width: 100%;height: 40px;background: none;color: #fff;font-size: 24px;font-weight: 500;padding: 0;font-family: inherit;text-align: left;background-color: transparent;width: fit-content;padding: 0.5rem 0;height: auto;display: none;}
.menu-back:before {content: "\f106";font-family: "FontAwesome";color: var(--highlights);font-size: 24px;display: inline-block;vertical-align: middle;margin: -5px 8px 0 0;}
.theme-header:after {content: "";display: block;position: fixed;left: 0;right: 0;top: 0;height: 100%;background: rgba(0, 0, 0, 0.7);z-index: 9;cursor: pointer;transform: translateX(100%);-moz-transform: translateX(100%);-ms-transform: translateX(100%);-o-transform: translateX(100%);-webkit-transform: translateX(100%);transition: all 0.5s ease;-moz-transition: all 0.5s ease;-ms-transition: all 0.5s ease;-o-transition: all 0.5s ease;-webkit-transition: all 0.5s ease;}
body.menu-action .theme-header:after {transform: none;-moz-transform: none;-ms-transform: none;-o-transform: none;-webkit-transform: none;}
body.menu-action .navigation {margin-left: -275px;}
body.menu-action {position: fixed;top: 0;left: 0;height: 100vh !important;width: 100%;overflow: hidden;max-height: 100vh !important;}
.navigation ul.menu li {position: relative;border-bottom: 1px solid #010101;padding: 0;margin-right: 0;}

.navigation ul.menu li:before {display: none;}
.navigation ul.menu > li {width: 100%;margin: 0 !important;padding: 0;}
.navigation ul.menu > li:before {display: none;}
.navigation ul.menu li a {padding: 12px 24px;display: block;text-align: left;border: none;font-size: 17px;}
.toggle-submenu {display: block;position: absolute;right: 0;top: 0px;display: flex;align-items: center;justify-content: center;width: 60px;height: 60px;background-color: transparent;}
.toggle-submenu:before, .toggle-submenu:after {position: absolute;content: '\f107';font-family: 'Font Awesome 5 Free';font-size: 16px;font-weight: bold;top: 14px;color: #000;line-height: 14px;}
.toggle-submenu:after {opacity: 0;}
.navigation ul.menu li.selected > a {color: #151515;}
.navigation ul.menu li.selected > .toggle-submenu:after {opacity: 1;}
.navigation ul.menu li ul {-moz-transition: all 0.5s ease;-ms-transition: all 0.5s ease;-o-transition: all 0.5s ease;-webkit-transition: all 0.5s ease;transition: all 0.5s ease;width: 100%;overflow: scroll;-webkit-overflow-scrolling: touch;padding: 0;position: unset;display: none;}
.second-sub_menu {background: #373737 !important;}
.icon-submenu {display: none !important;}
.navigation ul.menu li ul.show {margin-right: 0;display: block;}
span.toggle-submenu.open::before {content: "\f106";}
.navigation ul.menu li .device-toggle {position: absolute;width: 39px;height: 39px;left: 0;top: 0;cursor: pointer;}
.navigation ul.menu li .device-toggle:before,
.navigation ul.menu li .device-toggle:after {content: "";display: block;height: 3px;width: 15px;position: absolute;left: 12px;top: 18px;background: #333;}
.navigation ul.menu li .device-toggle:after {width: 3px;height: 15px;top: 12px;left: 18px;}
.navigation ul.menu li.selected > .device-toggle:before,
.navigation ul.menu li.selected > .device-toggle:after {background: #660460;}
.navigation ul.menu li .device-toggle.in:after {-moz-transform: rotate(90deg);-ms-transform: rotate(90deg);-o-transform: rotate(90deg);-webkit-transform: rotate(90deg);transform: rotate(90deg);}
.navigation ul.menu .sub-menu .inner-sub li > a {padding-left: 55px;}
.navigation ul.menu li .inner-sub .device-toggle {left: 0;}
.navigation ul.menu.no-sub li a {padding-left: 15px;}
.megamenu_img {display: none;}
.navigation ul.menu li.has-sub.megamenu .sub-menu {display: block !important;}
.navigation ul.menu li.has-sub .mega_menu {display: none;}
.navigation-open:before {opacity: 1;-moz-transition: opacity 0.5s ease;-ms-transition: opacity 0.5s ease;-o-transition: opacity 0.5s ease;-webkit-transition: opacity 0.5s ease;transition: opacity 0.5s ease;}
body.menu-action .navigation-open:before {opacity: 0;}
.navigation ul.menu li .device-toggle {position: absolute;width: 26px;height: 30px;left: 0;top: 0;cursor: pointer;}
.navigation ul.menu li .device-toggle:before,.navigation ul.menu li .device-toggle:after {content: "";display: block;height: 2px;width: 12px;position: absolute;left: 7px;top: 14px;background: #606060;}
.navigation ul.menu li .device-toggle:after {width: 2px;height: 12px;left: 12px;top: 9px;}
.navigation ul.menu .sub-menu .inner-sub li > a {padding-left: 44px;}
.navigation-close {padding: 0;position: absolute;right: 15px;top: 15px;vertical-align: middle;z-index: 11;width: 20px;height: 17px;background: none;border: none;background: #185284;width: 30px;height: 30px;}
.navigation-close:before, .navigation-close:after {content: "";display: block;width: 100%;height: 2px;background: #fff;position: absolute;left: 0;top: 50%;margin-top: -2px;-moz-transform: rotate(45deg);-ms-transform: rotate(45deg);-o-transform: rotate(45deg);-webkit-transform: rotate(45deg);transform: rotate(45deg);}
.navigation-close:after {-moz-transform: rotate(-45deg);-ms-transform: rotate(-45deg);-o-transform: rotate(-45deg);-webkit-transform: rotate(-45deg);transform: rotate(-45deg);}
body.menu-action header:after {transform: none;-moz-transform: none;-ms-transform: none;-o-transform: none;-webkit-transform: none;}
.navigation ul.menu li > a span.menu_count {color: #0070b2;margin-right: 10px;}
.navigation-open span:before,
.navigation-open span:after {content: "";display: block;width: 100%;height: 100%;background:#fff;position: absolute;left: 0;top: -7px;-moz-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;-ms-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;-o-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;-webkit-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;}
.navigation-open span:after {top: 7px;-moz-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;-ms-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;-o-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;-webkit-transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;transition: top 0.25s ease 0.25s, transform 0.25s ease,background 0.25s ease 0.25s;}
.navigation-open {padding: 1px;position: relative;vertical-align: middle;z-index: 1;width: 50px;height: 45px;border-radius: 2px;background: #000;border: 2px solid #000;color: #fff;}
}

@media screen and (max-width: 991px) {
    .pBlock {padding-block: 4.5rem;}
    .resourcesFeature_grid {grid-template-columns: repeat(2, minmax(0, 1fr));}
    .ft_grid {grid-template-columns: repeat(2, minmax(0, 1fr));}
    .Banner_cnt h1 {font-size: 50px;}
    .btnBox {flex-wrap: wrap;}
    .boost_wrap {grid-template-columns: repeat(2, 1fr);}
    .blogCards {grid-template-columns: repeat(2, minmax(0, 1fr));}
    .innerContact {padding: 64px 0;}
    
    .advMain {grid-template-columns: repeat(1, minmax(0, 1fr));}
    .bestMain {grid-template-columns: repeat(1, minmax(0, 1fr));}
    .innerBlogEnergy .section_title {font-size: 28px;}
    .sleepEnviTips_grid {grid-template-columns: repeat(2, minmax(0, 1fr));}
    
     /* Default Css */

    .contactus.contactus-innerpage,#inner-page,.defult_pages_content {margin-top: 50px;}
    .search-result-data {margin-top: 50px;}
    .search-result-data h1.page-title, .search-result-data h2, .Not_found.text-center h2 {font-size: 32px;}
    .search-result-count.default-max-width, p.grey-text, .service-txt p {line-height: 22px;}
}


@media screen and (max-width: 767px) {
    .sleepEnergy_grid {grid-template-columns: repeat(1, minmax(0, 1fr));}
    .sleepPage_grid {grid-template-columns: repeat(1, minmax(0, 1fr));}
    .categ_grid {grid-template-columns: repeat(1, minmax(0, 1fr));}
    .naturesleep_grid {grid-template-columns: repeat(1, minmax(0, 1fr));}
    .resourcesFeature_grid {grid-template-columns: repeat(1, minmax(0, 1fr));}
    .resourceBnrpage_grid {grid-template-columns: repeat(1, minmax(0, 1fr));}
     .boost_wrap {grid-template-columns: repeat(1, 1fr);}
    
    .ft_logoBox {grid-column: span 1 / span 1;}
    .ft_grid {grid-template-columns: repeat(1, minmax(0, 1fr));}
    .Banner_cnt h1 {font-size: 42px;}
    .Banner_cnt p {font-size: 18px;}
    .section_title {font-size: 32px;}
    .feeling_wrap p {font-size: 16px;}
    .discover_text {font-size: 18px;}
    .blogCards {grid-template-columns: repeat(1, minmax(0, 1fr));}
    .innerContact_btmBox {grid-template-columns: repeat(2, minmax(0, 1fr));}
    .innerblogsinFir_wrap ul {grid-template-columns: repeat(1, minmax(0, 1fr));}
    .singlercvdiv_grid {grid-template-columns: repeat(1, minmax(0, 1fr));}
    .sleepEnviTips_grid {grid-template-columns: repeat(1, minmax(0, 1fr));}
    
    /* Default Css */
    .about_us_main p, .service-txt p {width: 100%;float: left;font-size: 18px;}
    .defult_pages_content span.alignleft, .service-img {width: 100%;margin-bottom: 20px;margin-right: 0px;}
    section.search-result-data ul li {font-size: 18px;padding: 12px;}
    .search-result-data h1.page-title, .search-result-data h2, .Not_found.text-center h2 {font-size: 22px;}
    
}

@media screen and (max-width:570px) {
    .pBlock {padding-block: 3.5rem;}
    .menubar {padding-inline: 0;}
    .navigation-open {width: 40px;height: 35px;}
    .Banner_cnt h1 {font-size: 38px;line-height: 1.1;}
    .section_title {font-size: 28px;}
    .innerblogHow-features {grid-template-columns: repeat(1, minmax(0, 1fr));}
    .innerblogExplor-grid {grid-template-columns: repeat(1, minmax(0, 1fr));}
    .innerBlogsingle_ctcBtn {font-size: 16px;}
    .innerblogHow-box {padding: 25px;}
    .innerblogHow_wrap {padding: 48px 20px;}
    .singlercvdivbox h2 {font-size: 20px;}
    .singlercvdivbox span svg {width: 25px;height: 25px;}
}

@media screen and (max-width:420px) {}